package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (05/07/2010)
 */
public class P06B36T00Datatype implements Serializable {
		
	private String ejercicio = "";
	private String numExp = "";
	private String codMedPer = "";
	private String numPer = "";
	private String nivel1 = "";
	private String nivel2 = "";
	private String nivel3 = "";
	private String nivel4 = "";
	private String horas = "";
	private String medio1 = "";
	private String medio2 = "";
	private String gasto = "";
	
	//Nuevos cambios por decreto del 12 de junio del 2010
	private String numperA = "";
	private String numperB = "";
	private String numperC = "";
	private String numAfec = "";
	private String numNoAfec = "";
	
		
	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
	
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the codMedPer.
	 */
	public String getCodMedPer() {
		return codMedPer;
	}
	/**
	 * @param codMedPer The codMedPer to set.
	 */
	public void setCodMedPer(String codMedPer) {
		this.codMedPer = codMedPer;
	}
	
	/**
	 * @return Returns the numPer.
	 */
	public String getNumPer() {
		return numPer;
	}
	/**
	 * @param numPer The numPer to set.
	 */
	public void setNumPer(String numPer) {
		this.numPer = numPer;
	}
	
	/**
	 * @return Returns the nivel1.
	 */
	public String getNivel1() {
		return nivel1;
	}
	/**
	 * @param nivel1 The nivel1 to set.
	 */
	public void setNivel1(String nivel1) {
		this.nivel1 = nivel1;
	}
	
	/**
	 * @return Returns the nivel2.
	 */
	public String getNivel2() {
		return nivel2;
	}
	/**
	 * @param nivel2 The nivel2 to set.
	 */
	public void setNivel2(String nivel2) {
		this.nivel2 = nivel2;
	}
	
	/**
	 * @return Returns the nivel3.
	 */
	public String getNivel3() {
		return nivel3;
	}
	/**
	 * @param nivel3 The nivel3 to set.
	 */
	public void setNivel3(String nivel3) {
		this.nivel3 = nivel3;
	}
	
	/**
	 * @return Returns the nivel4.
	 */
	public String getNivel4() {
		return nivel4;
	}
	/**
	 * @param nivel4 The nivel4 to set.
	 */
	public void setNivel4(String nivel4) {
		this.nivel4 = nivel4;
	}
	
	/**
	 * @return Returns the horas.
	 */
	public String getHoras() {
		return horas;
	}
	/**
	 * @param horas The horas to set.
	 */
	public void setHoras(String horas) {
		this.horas = horas;
	}
	
	/**
	 * @return Returns the medio1.
	 */
	public String getMedio1() {
		return medio1;
	}
	/**
	 * @param medio1 The medio1 to set.
	 */
	public void setMedio1(String medio1) {
		this.medio1 = medio1;
	}
	
	/**
	 * @return Returns the medio2.
	 */
	public String getMedio2() {
		return medio2;
	}
	/**
	 * @param medio2 The medio2 to set.
	 */
	public void setMedio2(String medio2) {
		this.medio2 = medio2;
	}

	/**
	 * @return Returns the gasto.
	 */
	public String getGasto() {
		return gasto;
	}
	/**
	 * @param gasto The gasto to set.
	 */
	public void setGasto(String gasto) {
		this.gasto = gasto;
	}
	
	/**
	 * @return Returns the numperA.
	 */
	public String getNumperA() {
		return numperA;
	}
	/**
	 * @param numperA The numperA to set.
	 */
	public void setNumperA(String numperA) {
		this.numperA = numperA;
	}
	
	/**
	 * @return Returns the numperB.
	 */
	public String getNumperB() {
		return numperB;
	}
	/**
	 * @param numperB The numperB to set.
	 */
	public void setNumperB(String numperB) {
		this.numperB = numperB;
	}
	
	/**
	 * @return Returns the numperC.
	 */
	public String getNumperC() {
		return numperC;
	}
	/**
	 * @param numperC The numperC to set.
	 */
	public void setNumperC(String numperC) {
		this.numperC = numperC;
	}
	
	/**
	 * @return Returns the numAfec.
	 */
	public String getNumAfec() {
		return numAfec;
	}
	/**
	 * @param numAfec The numAfec to set.
	 */
	public void setNumAfec(String numAfec) {
		this.numAfec = numAfec;
	}
	
	/**
	 * @return Returns the numNoAfec.
	 */
	public String getNumNoAfec() {
		return numNoAfec;
	}
	/**
	 * @param numNoAfec The numNoAfec to set.
	 */
	public void setNumNoAfec(String numNoAfec) {
		this.numNoAfec = numNoAfec;
	}
	
	
	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; Código: ");
		textoImprimir.append(codMedPer);
		textoImprimir.append("; NumPer: ");
		textoImprimir.append(numPer);
		textoImprimir.append("; Nivel 1: ");
		textoImprimir.append(nivel1);
		textoImprimir.append("; Nivel 2: ");
		textoImprimir.append(nivel2);
		textoImprimir.append("; Nivel 3: ");
		textoImprimir.append(nivel3);
		textoImprimir.append("; Nivel 4: ");
		textoImprimir.append(nivel4);
		textoImprimir.append("; Horas: ");
		textoImprimir.append(horas);
		textoImprimir.append("; Medio 1: ");
		textoImprimir.append(medio1);
		textoImprimir.append("; Medio 2: ");
		textoImprimir.append(medio2);
		textoImprimir.append("; Gasto: ");
		textoImprimir.append(gasto);
		textoImprimir.append("; numperA: ");
		textoImprimir.append(numperA);
		textoImprimir.append("; numperB: ");
		textoImprimir.append(numperB);
		textoImprimir.append("; numperC: ");
		textoImprimir.append(numperC);
		textoImprimir.append("; numAfec: ");
		textoImprimir.append(numAfec);
		textoImprimir.append("; numNoAfec: ");
		textoImprimir.append(numNoAfec);
			
		return textoImprimir.toString();
	}
	
	

}
